com.google.gwt.uibinder.attributeparsers

## Class EnumAttributeParser

- java.lang.Object
- - com.google.gwt.uibinder.attributeparsers.StrictAttributeParser
  - - com.google.gwt.uibinder.attributeparsers.EnumAttributeParser

- All Implemented Interfaces:
    AttributeParser

      class EnumAttributeParser
      extends StrictAttributeParser

  Parses an enum attribute.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.uibinder.attributeparsers.StrictAttributeParser

      `StrictAttributeParser.FieldReferenceDelegate`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.uibinder.attributeparsers.StrictAttributeParser

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumAttributeParser(FieldReferenceConverter converter, JEnumType enumType, com.google.gwt.uibinder.rebind.MortalLogger logger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `parse(com.google.gwt.uibinder.rebind.XMLElement source, java.lang.String value)` If the value holds a single field reference "{like.this}", converts it to a Java Expression.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumAttributeParser

          EnumAttributeParser(FieldReferenceConverter converter,
                              JEnumType enumType,
                              com.google.gwt.uibinder.rebind.MortalLogger logger)

  - ### Method Detail

    - #### parse

          public java.lang.String parse(com.google.gwt.uibinder.rebind.XMLElement source,
                                        java.lang.String value)
                                 throws UnableToCompleteException

      Description copied from class: `StrictAttributeParser`
      If the value holds a single field reference "{like.this}", converts it to a Java Expression.

      In any other case (e.g. more than one field reference), an UnableToCompleteException is thrown.

      Specified by:
        `parse` in interface `AttributeParser`
      Overrides:
        `parse` in class `StrictAttributeParser`
      Parameters:
        `source` - the source code the value came from, for error reporting purposes
        `value` - the attribute value to be parsed
      Returns:
        a valid Java expression
      Throws:
        `UnableToCompleteException` - on parse error